## GgitObject GgitObject |

## Functions

GgitOId * | ggit_object_get_id ()
GgitRepository * | ggit_object_get_owner ()

## Types and Values

| GgitObject
struct | GgitObjectClass

## Object Hierarchy

        GObject
        ╰── GgitObjectFactoryBase
            ╰── GgitNative
                ╰── GgitObject
                    ├── GgitBlob
                    ├── GgitCommit
                    ├── GgitTag
                    ╰── GgitTree

## Description

## Functions

### ggit_object_get_id ()

    GgitOId *
    ggit_object_get_id (GgitObject *object);

Gets the GgitOId of `object` .

#### Parameters

object | a GgitObject. |

#### Returns

the GgitOId of the object.

[transfer full]

### ggit_object_get_owner ()

    GgitRepository *
    ggit_object_get_owner (GgitObject *object);

Gets the GgitRepository that owns `object` .

#### Parameters

object | a GgitObject. |

#### Returns

the GgitRepository that owns this object. The returned value must be free'd calling `g_object_unref()`.

[transfer full]

## Types and Values

### GgitObject

    typedef struct _GgitObject GgitObject;

Represents a generic object in a repository.

### struct GgitObjectClass

    struct GgitObjectClass {
    };

The class structure for GgitObjectClass.

#### Members